> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# List Channels

GET https://api.bigcommerce.com/stores/{store_hash}/v3/channels

Returns a list of *Channels*.

Will always return the default BigCommerce storefront with an ID of `1`. This storefront is created by default when you provision a BigCommerce store.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/channels/get-channels

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Channel Listings | modify | `store_channel_listings` | | Channel Listings | read-only | `store_channel_listings_read_only` | | Channel Settings | modify | `store_channel_settings` | | Channel Settings | read-only | `store_channel_settings_read_only` | | Sites & Routes | modify | `store_sites` | | Sites & Routes | read-only | `store_sites_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Query parameters

- `include` (enum, optional) — Channels subresources that can be included in the response.
  - Allowed values: `currencies`
- `available` (boolean, optional) — Filter items based on whether the channel is currently available for integration. Setting this query parameter to `true` will return channels with the status of `prelaunch`, `active` , `inactive`, and `connected`. Setting this query parameter to `false` will return channels with the status of `disconnected`, `archived`, `deleted`, and `terminated`.
- `status:in` (list of enum, optional) — Filter items by a comma-separated list of statuses.
  - Allowed values: `prelaunch`, `active`, `inactive`, `connected`, `disconnected`, `archived`, `deleted`, `terminated`
- `type:in` (list of enum, optional) — Filter items by a comma-separated list of types.
  - Allowed values: `marketplace`, `marketing`, `pos`, `storefront`
- `platform:in` (list of string, optional) — Filter items by a comma-separated list of platforms. For a list of supported platforms, see [Platform](/developer/api-reference/rest/admin/management/channels#platform).
- `date_created` (string, optional) — Filter items by date created. For example, `date_created=2024-05-14T09:34:00` or `date_created=2024-05-14`.
- `date_created:min` (string, optional) — Filter items by minimum date created. For example, `date_created=2024-05-14T09:34:00` or `date_created=2024-05-14`. Returns metafields created after this date.
- `date_created:max` (string, optional) — Filter items by maximum date created. For example, `date_created=2024-05-14T09:34:00` or `date_created=2024-05-14`. Returns metafields created before this date.
- `date_modified` (string, optional) — Filter items by date modified. For example, `date_created=2024-05-14T09:34:00` or `date_created=2024-05-14`.
- `date_modified:min` (string, optional) — Filter items by minimum date modified. For example, `date_created=2024-05-14T09:34:00` or `date_created=2024-05-14`. Returns metafields modified after this date.
- `date_modified:max` (string, optional) — Filter items by maximum date modified. For example, `date_created=2024-05-14T09:34:00` or `date_created=2024-05-14`. Returns metafields modified before this date.
- `limit` (integer, optional) — Controls the number of items per page for paginated responses.
- `page` (integer, optional) — Specifies the page number for a paginated response.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

## Response

### 200

A list of channels.

- `data` (list of ChannelWithoutCurrencies, required)
- `meta` (MetaWithFullPagination, required) — Data about the response, including pagination.

## Errors

### 422 Unprocessable Entity Error

Invalid value is provided to the query parameter(s).

- `status` (integer, optional) — The HTTP status code for the error.
- `title` (string, optional) — The error title describing the particular error.
- `type` (string, optional) — The error type.
- `errors` (ErrorDetail, optional) — Error detail response payload for the BigCommerce API.

## Types

### ChannelWithoutCurrencies

- `id` (long, required) — The ID of the channel.
- `name` (string, required) — Name of the channel as it will appear in the store control panel. The only characters it can include are Latin alphabet letters, Arabic numerals, dashes, and underscores.
- `external_id` (string, optional) — Associated ID within a system / platform outside of BC.
- `is_listable_from_ui` (boolean, optional) — Indicates if a channel can create listings from the BigCommerce UI. Default value for this field is based on the channel type and platform combination if not specified on create.
- `is_visible` (boolean, optional) — Indicates if a channel is visible in the BigCommerce control panel. If `false`, the channel will not show in Channel Manager or in channels dropdowns elsewhere in the UI. Default value for this field is `true` if not specified on create.
- `status` (enum, optional) — The status of the channel; channel `type`, `platform`, and `status` must be a [valid combination](/developer/api-reference/rest/admin/management/channels#status). `terminated` is not valid for `PUT` or `POST` requests. `deleted` is not valid for `POST` requests. `prelaunch` is not valid for `PUT` requests.
  - Allowed values: `active`, `prelaunch`, `inactive`, `connected`, `disconnected`, `archived`, `deleted`, `terminated`
- `type` (enum, optional) — The type of channel; channel `platform` and `type` must be a [valid combination](/developer/api-reference/rest/admin/management/channels#status).
  - Allowed values: `pos`, `marketplace`, `storefront`, `marketing`
- `platform` (string, optional) — The name of the platform for the channel; channel `platform` and `type` must be a [valid combination](/developer/api-reference/rest/admin/management/channels#status).
- `date_created` (datetime, optional) — Date on which the channel was first created.
- `date_modified` (datetime, optional) — Date on which the channel was most recently changed.
- `icon_url` (string, optional) — Link to the platform icon.
- `is_enabled` (boolean, optional, deprecated) — This deprecated field was originally used to enable or disable a channel. Use the `status` field instead of `is_enabled`. If the channel status is `prelaunch`, `active`, or `connected`, then `is_enabled` will be `true`. If the status is `inactive`, `disconnected`, `archived`, `deleted`, or `terminated`, then `is_enabled` will be false.

### MetaWithFullPagination

Data about the response, including pagination.

- `pagination` (pagination_Full, optional) — Data about the pagination.

### ErrorDetail

Error detail response payload for the BigCommerce API.

### pagination_Full

Data about the pagination.

- `per_page` (integer, optional) — The maximum number of items per page.
- `total` (integer, optional) — Total number of items in the result set.
- `count` (integer, optional) — Total number of items in the collection response.
- `total_pages` (integer, optional) — The total number of pages in the collection.
- `current_page` (integer, optional) — The current page number.
- `links` (PaginationFullLinks, optional) — Pagination links for the previous, current, or next parts of the whole collection.

### PaginationFullLinks

Pagination links for the previous, current, or next parts of the whole collection.

- `previous` (string, optional) — Link to the previous page returned in the response.
- `current` (string, optional) — Link to the current page returned in the response.
- `next` (string, optional) — Link to the next page returned in the response.

## Examples

**Response**

```json
{
  "data": [
    {
      "id": 1,
      "name": "Test Store",
      "external_id": "",
      "is_listable_from_ui": true,
      "is_visible": true,
      "status": "prelaunch",
      "type": "storefront",
      "platform": "bigcommerce",
      "date_created": "2021-05-07T14:54:51Z",
      "date_modified": "2021-05-07T14:54:51Z",
      "icon_url": "https://storage.googleapis.com/bigcommerce-production-dev-center/images/bigcommerce_icon.svg"
    },
    {
      "id": 664179,
      "name": "Amazon",
      "external_id": "",
      "is_listable_from_ui": true,
      "is_visible": true,
      "status": "connected",
      "type": "marketplace",
      "platform": "amazon",
      "date_created": "2021-05-10T20:32:40Z",
      "date_modified": "2021-05-13T14:25:54Z",
      "icon_url": "https://storage.googleapis.com/bigcommerce-production-dev-center/images/amazon_icon.svg"
    },
    {
      "id": 667159,
      "name": "Facebook by Meta",
      "external_id": "",
      "is_listable_from_ui": false,
      "is_visible": true,
      "status": "connected",
      "type": "marketplace",
      "platform": "facebook by meta",
      "date_created": "2021-05-13T15:41:39Z",
      "date_modified": "2021-05-13T15:41:39Z",
      "icon_url": "https://storage.googleapis.com/bigcommerce-production-dev-center/images/facebook_icon.svg"
    }
  ],
  "meta": {
    "pagination": {
      "per_page": 2,
      "total": 8,
      "count": 2,
      "total_pages": 4,
      "current_page": 2,
      "links": {
        "previous": "?page=1&limit=2",
        "current": "?page=2&limit=2",
        "next": "?page=3&limit=2"
      }
    }
  }
}
```

**SDK Code**

```python Channel
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/channels"

querystring = {"platform:in":"facebook by meta,amazon"}

headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>"
}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Channel
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/channels?platform%3Ain=facebook+by+meta%2Camazon';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', 'X-Auth-Token': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Channel
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/channels?platform%3Ain=facebook+by+meta%2Camazon"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Channel
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/channels?platform%3Ain=facebook+by+meta%2Camazon")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Channel
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v3/channels?platform%3Ain=facebook+by+meta%2Camazon")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php Channel
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v3/channels?platform%3Ain=facebook+by+meta%2Camazon', [
  'headers' => [
    'Accept' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Channel
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/channels?platform%3Ain=facebook+by+meta%2Camazon");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Channel
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/channels?platform%3Ain=facebook+by+meta%2Camazon")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```